Bug 830926 - IOError: [Errno 30] Read-only file system: '/mnt/sysimage/root/anaconda-ks.cfg'
IOError: [Errno 30] Read-only file system: '/mnt/sysimage/root/anaconda-ks.cfg'
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:cb6fe2e3d01bfdb3e822bbde8ab...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 12:58 EDT by PrivateAcct2010
Modified: 2013-01-10 01:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-11 18:15:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-wHWi1C (771.82 KB, text/plain)
2012-06-11 12:58 EDT, PrivateAcct2010
no flags Details

  None (edit)
Description PrivateAcct2010 2012-06-11 12:58:33 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/loop3 --lang en_US.UTF-8
executable:     /sbin/anaconda
exnFileName:    /tmp/anaconda-tb-wHWi1C
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.i686
other involved packages: 
product:        Fedora
release:        Fedora release 17 (Beefy Miracle)
time:           Mon 11 Jun 2012 08:50:12 AM EDT
version:        17

anaconda-tb-wHWi1C: Text file, 790345 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.29 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/pyanaconda/__init__.py", line 329, in writeKS
:    f = open(filename, "w")
:  File "/usr/lib/python2.7/site-packages/pyanaconda/packages.py", line 67, in writeKSConfiguration
:    anaconda.writeKS(fn)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/dispatch.py", line 247, in go_forward
:    self.dispatch()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/gui.py", line 1201, in nextClicked
:    self.anaconda.dispatch.go_forward()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/iw/progress_gui.py", line 79, in renderCallback
:    self.intf.icw.nextClicked()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/gui.py", line 1221, in handleRenderCallback
:    self.currentWindow.renderCallback()
:IOError: [Errno 30] Read-only file system: '/mnt/sysimage/root/anaconda-ks.cfg'

environ:
:LC_NUMERIC=C
:LIBUSER_CONF=/tmp/libuser.bOAqfE
:LVM_SUPPRESS_FD_WARNINGS=1
:LOGNAME=root
:USER=root
:GCONF_GLOBAL_LOCKS=1
:PATH=/sbin:/usr/sbin:/usr/sbin:/usr/bin:/sbin:/bin:/root/bin:/sbin:/usr/sbin
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:HOME=/tmp
:DISPLAY=:0
:ANACONDA_PRODUCTNAME=Fedora
:LANG=en_US.UTF-8
:TERM=dumb
:SHELL=/bin/bash
:TZ=America/New_York
:XAUTHORITY=/root/.xauthPtDCpE
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:SHLVL=1
:GNOME_DISABLE_CRASH_DIALOG=1
:ANACONDA_PRODUCTVERSION=17
:ANACONDA_BUGURL=https://bugzilla.redhat.com/bugzilla/
:USERHELPER_UID=1000
:ANACONDA_ISFINAL=true
:_=/sbin/anaconda
:PWD=/home/liveuser
:DESKTOP_STARTUP_ID=userhelper/Starting Install to Hard Drive/1396-0-localhost.localdomain_TIME0
Comment 1 PrivateAcct2010 2012-06-11 12:58:44 EDT
Created attachment 590986 [details]
File: anaconda-tb-wHWi1C
Comment 2 Jesse Keating 2012-06-11 18:15:33 EDT
It appears your sda device suffered some non-recoverable errors and was eventually re-mounted read-only.  This isn't a code bug, just a matter of hardware failure.

Note You need to log in before you can comment on or make changes to this bug.